#include "DirectionalSensor.h"

#include "ControlCore/LowLevelMessages.h"

DirectionalSensor::DirectionalSensor() : Sensor() {
  this->type = DirectionalSensor::Type;
  this->vector = Spherical16::zero;
}

Spherical16 DirectionalSensor::GetVector() { return Spherical16::zero; }

void DirectionalSensor::ProcessBytes(unsigned char *data) {
  unsigned char ix = 0;
  this->vector = LowLevelMessages::ReceiveSpherical16(data, &ix);
}
